NVML API Reference Guide (PDF) - vR340 (older) - Last updated July 1, 2014 - Send Feedback

## 5.18. nvmlValue_t Union Reference

## [Device Structs]

Union to represent different types of Value

### Public Variables

double dVal
  If the value is double.
unsigned int uiVal
  If the value is unsigned int.
unsignedlong ulVal
  If the value is unsigned long.
unsigned long long ullVal
  If the value is unsigned long long.

### Variables

double nvmlValue_t::dVal [inherited]

  If the value is double.

unsigned int nvmlValue_t::uiVal [inherited]

  If the value is unsigned int.

unsignedlong nvmlValue_t::ulVal [inherited]

  If the value is unsigned long.

unsigned long long nvmlValue_t::ullVal [inherited]

  If the value is unsigned long long.

NVML API Reference Guide (PDF) - vR340 (older) - Last updated July 1, 2014 - Send Feedback